Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.model
Class AddEmailModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.rules.model.ClauseModel
                  com.bea.campaign.model.AddEmailModel

All Implemented Interfaces
  Serializable, Cloneable

    public class AddEmailModel

extends ClauseModel

A model representing the sending of an email from a campaign.

See Also
  Serialized Form

Nested Class Summary
`static class` | `AddEmailModel.Recognizer` An object which can recognize the structure for this model.

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary
`static String` | `CLAUSE_TYPE` The default clause type for this model.
`static String` | `RULE_TYPE` The rule type for a rule that has this model as an action.

Fields inherited from class com.bea.p13n.rules.model.ClauseModel
`clauseType`

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`AddEmailModel()`

Method Summary
`void` | `clearCachedData()` Clear out any cached data we're holding root xml object next time.
`org.apache.xmlbeans.XmlObject` | `createNewXmlObject(String clauseType)` Create a new, empty root object for the specified clauseType.
`protected boolean` | `determineIsComplete()` Determine if this model is complete.
`com.bea.p13n.rules.schema.extensions.AddEmailObjectDocument.AddEmailObject` | `getAddEmailObject()`
`protected org.apache.xmlbeans.XmlObject` | `getCopyXmlObject()` Get a copy of our root xml object.
`String` | `getFrom()` Get the from address
`String` | `getSubject()` Get the email subject.
`String` | `getUri()` Get the email uri.
`void` | `setFrom(String from)` Set the from address.
`void` | `setSubject(String subj)` Set the subject name.
`void` | `setUri(String uri)` Set the email uri.
`void` | `setXmlObject(String clauseType, org.apache.xmlbeans.XmlObject clause)` Initialize this clause model with a type and a root object.

Methods inherited from class com.bea.p13n.rules.model.ClauseModel
`addBranch, addLiteral, addMethod, addMethodOrOperator, addOperator, addVariable, addVariableBinding, copy, getClauseType, getContainingRuleModel, initializeNew, isInActions, isInConditions, isValidTypeAlias, isValidVariableName, makeSafeCopy, toString`

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, fixQName, getApplicationInstanceUri, getChild, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setIsComplete, setParent, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLAUSE_TYPE

    public static final String CLAUSE_TYPE

  The default clause type for this model.

  See Also
    Constants Summary

### RULE_TYPE

    public static final String RULE_TYPE

  The rule type for a rule that has this model as an action.

  See Also
    Constants Summary

Constructor Detail

### AddEmailModel

    public AddEmailModel()

Method Detail

### setXmlObject

    public void setXmlObject(String clauseType,
                             org.apache.xmlbeans.XmlObject clause)
                      throws IllegalArgumentException

  Description copied from class: `ClauseModel`
  Initialize this clause model with a type and a root object.

  This will fire `ChangeEvents` for clauseType and rootXmlObject.

  Subclasses should override to call super.setXmlObject() and do any type checking and verification.

  It is not expected that ClauseModel's are valid after an call to this method which throws an exception, although the caller could recall this method with valid data.

  Overrides:
    `setXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
    `clause` - the root xml object of the clause.
  Throws
    `IllegalArgumentException` - thrown if the clause is not valid for the ClauseModel or clauseType.

### getAddEmailObject

    public com.bea.p13n.rules.schema.extensions.AddEmailObjectDocument.AddEmailObject getAddEmailObject()

### getCopyXmlObject

    protected org.apache.xmlbeans.XmlObject getCopyXmlObject()

  Description copied from class: `ClauseModel`
  Get a copy of our root xml object. This is aware of several of the expression schema classes which require special copying.

  Overrides:
    `getCopyXmlObject` in class `ClauseModel`
  See Also
    `ClauseModel.makeSafeCopy(XmlObject)`

### createNewXmlObject

    public org.apache.xmlbeans.XmlObject createNewXmlObject(String clauseType)

  Description copied from class: `ClauseModel`
  Create a new, empty root object for the specified clauseType.

  Subclasses need to implement this to create an appropriately typed and filled root XmlObject which represents the ClauseModel. The return value from this needs to be accepted from `ClauseModel.setXmlObject(java.lang.String, org.apache.xmlbeans.XmlObject)` for the specified clauseType.

  Specified by:
    `createNewXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
  Returns
    a new, empty initialize root object.

### clearCachedData

    public void clearCachedData()

  Clear out any cached data we're holding root xml object next time.

  Specified by:
    `clearCachedData` in class `XmlObjectModel`

### getSubject

    public String getSubject()

  Get the email subject. This will never be null; it will be empty string for no name or if not set.

### setSubject

    public void setSubject(String subj)

  Set the subject name.

### getUri

    public String getUri()

  Get the email uri. This will never be null; it will be empty string for no name or if not set.

### setUri

    public void setUri(String uri)

  Set the email uri.

### getFrom

    public String getFrom()

  Get the from address

### setFrom

    public void setFrom(String from)

  Set the from address.

### determineIsComplete

    protected boolean determineIsComplete()

  Description copied from class: `XmlObjectModel`
  Determine if this model is complete.

  Currently hard-wired to return true. Subclasses need to override with appropriate behavior by inspecting their underlying data.

  Overrides:
    `determineIsComplete` in class `XmlObjectModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.